/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _MainHomeBottomPanel;
        public static UIKey MainHomeBottomPanel => _MainHomeBottomPanel ?? (_MainHomeBottomPanel = new UIKey("Main", "HomeBottomPanel", typeof(MainHomeBottomPanelView)));
    }
    public partial class MainHomeBottomPanelView : UIView
    {
        public static UILayer Layer => UILayer.Middle;
        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new MainHomeBottomPanelCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new MainHomeBottomPanelVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

